define(['jquery-ui', 'underscore', 'backbone',
	'models/rate', 'views/menu', 'views/rate_table',
	'bootstrap'],
function ($, _, Backbone, Rate, MenuView, RateTableView) {
	$(document).ready(function() {
		var rates = new Rate.Collection();

		var menu = new MenuView({
			el: $('#menu'),
			collection: rates
		});
		var table = new RateTableView({
			el: $('#main'),
			collection: rates
		});
		
		rates.fetchByDate(new Date());
		window.app = { rates: rates };
	});
});